#!/bin/sh

# arguments.sh - handle common arguments
# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
#
# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
# This is free software, and you are welcome to redistribute it
# under certain conditions; see COPYING for details.

set -e

Arguments ()
{
	ARGUMENTS="`getopt --longoptions conffile:,debug,force,help,logfile:,quiet,usage,verbose,version --name=${PROGRAM} --options huv --shell sh -- "${@}"`"

	if [ "${?}" != "0" ]
	then
		Echo_error "terminating" >&2
		exit 1
	fi

	eval set -- "${ARGUMENTS}"

	while true
	do
		case "${1}" in
			--conffile)
				CONFFILE="${2}"; shift 2
				;;

			--debug)
				DEBUG="true"; shift
				;;

			--force)
				FORCE="true"; shift
				;;

			-h|--help)
				Help; shift
				;;

			--logfile)
				LOGFILE="${2}"; shift 2
				;;

			--quiet)
				QUIET="true"; shift
				;;

			-u|--usage)
				Usage; shift
				;;

			--verbose)
				VERBOSE="true"; shift
				;;

			-v|--version)
				Version; shift
				;;

			--)
				shift; break
				;;

			*)
				Echo_error "internal error"
				exit 1
				;;
		esac
	done
}
